Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040262
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-02-22 13:082019-04-09 12:34
ReporteranderarangurenView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision9c66254235c7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040262: Preference "Do not allow Sales with return" does not work properly. The POS gets blocked after doing a Verified Return

DescriptionIf an order is returned with Verified Returns and tried adding a new line to the ticket a error message is being showed correctly.
But the POS gets blocked. Cannot click on delete button, paytotal button, cannot add more products correctly...
Steps To Reproduce1. Go to Backoffice, Preference window
2. Add "Do not allow Sales with return" property, and set it to 'Y' for Vall Blanca User
3. Go to web POS terminal VBS-1
4. Add some products and click on return line --> it works fine.
5. Complete an order with Avalanche Transceiver
6. Go to the Verified Returns in the menu and select the last order
7. Return the line and try adding another product
8. The message is showing that you cannot add a positive line to the ticket --> well
9. But the POS gets blocked and you cannot keep working normally, you need a refresh
TagsNo tags attached.
Attached Filespng file icon POSerror.png [^] (282,565 bytes) 2019-02-22 13:08
patch file icon 40262_FinalPatch.patch [^] (2,623 bytes) 2019-03-29 03:59 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110500)
hgbot (developer)
2019-03-19 19:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 495aa374009b7c2c61f1b4f07a44be6198fd2599
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Mar 18 15:52:43 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/495aa374009b7c2c61f1b4f07a44be6198fd2599 [^]

Fixed issue 40262: Preference "Do not allow Sales with return" does not work
properly. The POS gets blocked after doing a Verified Return

- Removed addProcess into the receipt and finish 'addProduct' process controler,
to avoid the WEB Pos get blocked after doing a Verified Return

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0110593)
hgbot (developer)
2019-03-22 17:01

Repository: tools/automation/pi-mobile
Changeset: 35c6bbc29db7d1e1cb277e948114765c581908c1
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Tue Mar 19 15:32:52 2019 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/35c6bbc29db7d1e1cb277e948114765c581908c1 [^]

Related to issue 40262: added automated test

---
M src-test/org/openbravo/test/mobile/core/utils/AllowedErrorsHelper.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I40262_VerifyPOSNotBlockedAfterVerifiedReturn.java
---
(0110626)
hgbot (developer)
2019-03-25 17:19

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9037c26d91c4707793b939a6282366f216931e66
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Mar 25 12:17:45 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9037c26d91c4707793b939a6282366f216931e66 [^]

Fixed issue 40262: Preference "Do not allow Sales with return" does not work
properly. The POS gets blocked after doing a Verified Return

- Seted addProcess var to "{}" instead "null"

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0110707)
hgbot (developer)
2019-03-27 18:10

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f7b0766874652bf1c0852bdcad30ebb1b12263f2
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Wed Mar 27 12:27:31 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f7b0766874652bf1c0852bdcad30ebb1b12263f2 [^]

Related to issue 40348. Backout of issue 40262. ProcessController.getProcessesRunning no longer exists

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0110902)
hgbot (developer)
2019-03-28 18:30

Repository: tools/automation/pi-mobile
Changeset: bf607b62218ac138b6f7507d620666666f1e04a7
Author: Gorka Gil <gorka.gil <at> openbravo.com>
Date: Thu Mar 28 18:30:36 2019 +0100
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/bf607b62218ac138b6f7507d620666666f1e04a7 [^]

Related to 40262: Disable test I40262_VerifyPOSNotBlockedAfterVerifiedReturn till issue 40262 is fixed

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I40262_VerifyPOSNotBlockedAfterVerifiedReturn.java
---
(0111002)
hgbot (developer)
2019-04-05 14:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9cefa717496c6cb7c0fe884a24d05b2e4f9044fe
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Mar 28 14:11:46 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9cefa717496c6cb7c0fe884a24d05b2e4f9044fe [^]

Fixed issue 40262: Preference "Do not allow Sales with return" does not work
properly. The POS gets blocked after doing a Verified Return

- Seted addProcess to "{}" value and finish "addProduct" process controler to
avoid the WEB Pos get blocked after doing a Verified Return

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0111024)
jorge-garcia (developer)
2019-04-08 15:15

Test id failing in try-retail.

Maybe it is a better solution to pass a cancelCallback instead of the xecution of the process in order to cancel the process of addproduct
(0111040)
hgbot (developer)
2019-04-09 12:34

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9c66254235c7c525ba5d201d009d6e763f8c7d53
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Apr 08 12:55:32 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9c66254235c7c525ba5d201d009d6e763f8c7d53 [^]

Fixed issue 40262: Preference "Do not allow Sales with return" does not work
properly. The POS gets blocked after doing a Verified Return

- Added cancelCallback function instead use the execution of the process in
order to cancel the process of addproduct

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2019-02-22 13:08 anderaranguren New Issue
2019-02-22 13:08 anderaranguren Assigned To => Retail
2019-02-22 13:08 anderaranguren File Added: POSerror.png
2019-02-22 13:08 anderaranguren Triggers an Emergency Pack => No
2019-02-22 13:10 Practics Issue Monitored: Practics
2019-02-22 17:13 rqueralta Assigned To Retail => rqueralta
2019-02-22 17:13 rqueralta Status new => scheduled
2019-03-19 19:42 hgbot Checkin
2019-03-19 19:42 hgbot Note Added: 0110500
2019-03-19 19:42 hgbot Status scheduled => resolved
2019-03-19 19:42 hgbot Resolution open => fixed
2019-03-19 19:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/495aa374009b7c2c61f1b4f07a44be6198fd2599 [^]
2019-03-22 17:01 hgbot Checkin
2019-03-22 17:01 hgbot Note Added: 0110593
2019-03-25 17:19 hgbot Checkin
2019-03-25 17:19 hgbot Note Added: 0110626
2019-03-25 17:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/495aa374009b7c2c61f1b4f07a44be6198fd2599 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9037c26d91c4707793b939a6282366f216931e66 [^]
2019-03-27 18:10 hgbot Checkin
2019-03-27 18:10 hgbot Note Added: 0110707
2019-03-27 18:22 rqueralta Status resolved => new
2019-03-27 18:22 rqueralta Resolution fixed => open
2019-03-28 13:33 rqueralta Status new => scheduled
2019-03-28 18:30 hgbot Checkin
2019-03-28 18:30 hgbot Note Added: 0110902
2019-03-29 03:59 rqueralta File Added: 40262_FinalPatch.patch
2019-04-05 14:39 hgbot Checkin
2019-04-05 14:39 hgbot Note Added: 0111002
2019-04-05 14:39 hgbot Status scheduled => resolved
2019-04-05 14:39 hgbot Resolution open => fixed
2019-04-05 14:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9037c26d91c4707793b939a6282366f216931e66 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9cefa717496c6cb7c0fe884a24d05b2e4f9044fe [^]
2019-04-08 11:35 jorge-garcia Review Assigned To => jorge-garcia
2019-04-08 15:15 jorge-garcia Note Added: 0111024
2019-04-08 15:15 jorge-garcia Status resolved => new
2019-04-08 15:15 jorge-garcia Resolution fixed => open
2019-04-09 12:34 hgbot Checkin
2019-04-09 12:34 hgbot Note Added: 0111040
2019-04-09 12:34 hgbot Status new => resolved
2019-04-09 12:34 hgbot Resolution open => fixed
2019-04-09 12:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9cefa717496c6cb7c0fe884a24d05b2e4f9044fe [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9c66254235c7c525ba5d201d009d6e763f8c7d53 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker